ProbeScript (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.igs.ProbeScript interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.igs
Interface ProbeScript

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ProbeScript

extends LogicalElement, ConfigurationItem

Naming Rules:
  0="account,scriptName,targetURL"
Persistable:
  true
Table Name:
  IGSPROBESCRIPT
Top Level:
  true
Display Name:
  account,scriptName,targetURL

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`Account` | `getAccount()`
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getBusinessUnit()`
`long` | `getDateDeployed()`
`java.lang.String` | `getMaintenanceWindows()`
`int` | `getNumBillableTransactions()`
`int` | `getNumDefinedTransactions()`
`int` | `getNumPOPs()`
`int` | `getProbeFrequency()`
`int` | `getProbeType()`
`java.lang.String` | `getScriptLoginIDs()`
`java.lang.String` | `getScriptName()`
`java.lang.String` | `getServiceManagementContact()`
`java.lang.String` | `getTargetURL()`
`ProbeTransaction[]` | `getTransactions()`
`boolean` | `hasAccount()`
`boolean` | `hasApplicationName()`
`boolean` | `hasBusinessUnit()`
`boolean` | `hasDateDeployed()`
`boolean` | `hasMaintenanceWindows()`
`boolean` | `hasNumBillableTransactions()`
`boolean` | `hasNumDefinedTransactions()`
`boolean` | `hasNumPOPs()`
`boolean` | `hasProbeFrequency()`
`boolean` | `hasProbeType()`
`boolean` | `hasScriptLoginIDs()`
`boolean` | `hasScriptName()`
`boolean` | `hasServiceManagementContact()`
`boolean` | `hasTargetURL()`
`boolean` | `hasTransactions()`
`void` | `setAccount(Account acct)`
`void` | `setApplicationName(java.lang.String name)`
`void` | `setBusinessUnit(java.lang.String unit)`
`void` | `setDateDeployed(long date)`
`void` | `setMaintenanceWindows(java.lang.String s)`
`void` | `setNumBillableTransactions(int i)`
`void` | `setNumDefinedTransactions(int i)`
`void` | `setNumPOPs(int i)`
`void` | `setProbeFrequency(int i)`
`void` | `setProbeType(int i)`
`void` | `setScriptLoginIDs(java.lang.String s)`
`void` | `setScriptName(java.lang.String name)`
`void` | `setServiceManagementContact(java.lang.String contact)`
`void` | `setTargetURL(java.lang.String url)`
`void` | `setTransactions(ProbeTransaction[] txs)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getAccount

    Account getAccount()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.UsedBy" reverse="false"

### setAccount

    void setAccount(Account acct)

### hasAccount

    boolean hasAccount()

### getScriptName

    java.lang.String getScriptName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScriptName

    void setScriptName(java.lang.String name)

### hasScriptName

    boolean hasScriptName()

### getTargetURL

    java.lang.String getTargetURL()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetURL

    void setTargetURL(java.lang.String url)

### hasTargetURL

    boolean hasTargetURL()

### getNumBillableTransactions

    int getNumBillableTransactions()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumBillableTransactions

    void setNumBillableTransactions(int i)

### hasNumBillableTransactions

    boolean hasNumBillableTransactions()

### getNumDefinedTransactions

    int getNumDefinedTransactions()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumDefinedTransactions

    void setNumDefinedTransactions(int i)

### hasNumDefinedTransactions

    boolean hasNumDefinedTransactions()

### getNumPOPs

    int getNumPOPs()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumPOPs

    void setNumPOPs(int i)

### hasNumPOPs

    boolean hasNumPOPs()

### getApplicationName

    java.lang.String getApplicationName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplicationName

    void setApplicationName(java.lang.String name)

### hasApplicationName

    boolean hasApplicationName()

### getBusinessUnit

    java.lang.String getBusinessUnit()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBusinessUnit

    void setBusinessUnit(java.lang.String unit)

### hasBusinessUnit

    boolean hasBusinessUnit()

### getDateDeployed

    long getDateDeployed()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDateDeployed

    void setDateDeployed(long date)

### hasDateDeployed

    boolean hasDateDeployed()

### getProbeFrequency

    int getProbeFrequency()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProbeFrequency

    void setProbeFrequency(int i)

### hasProbeFrequency

    boolean hasProbeFrequency()

### getMaintenanceWindows

    java.lang.String getMaintenanceWindows()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaintenanceWindows

    void setMaintenanceWindows(java.lang.String s)

### hasMaintenanceWindows

    boolean hasMaintenanceWindows()

### getServiceManagementContact

    java.lang.String getServiceManagementContact()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceManagementContact

    void setServiceManagementContact(java.lang.String contact)

### hasServiceManagementContact

    boolean hasServiceManagementContact()

### getProbeType

    int getProbeType()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProbeType

    void setProbeType(int i)

### hasProbeType

    boolean hasProbeType()

### getScriptLoginIDs

    java.lang.String getScriptLoginIDs()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScriptLoginIDs

    void setScriptLoginIDs(java.lang.String s)

### hasScriptLoginIDs

    boolean hasScriptLoginIDs()

### getTransactions

    ProbeTransaction[] getTransactions()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setTransactions

    void setTransactions(ProbeTransaction[] txs)

### hasTransactions

    boolean hasTransactions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD